# EntityName (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.language

## Class EntityName

- java.lang.Object
- - de.epiceric.shopchest.language.EntityName

    public class EntityName
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EntityName(org.bukkit.entity.EntityType entityType, String localizedName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.bukkit.entity.EntityType` `getEntityType()`
`String` `getLocalizedName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EntityName

    public EntityName(org.bukkit.entity.EntityType entityType,
                      String localizedName)

### Method Detail

#### getEntityType

    public org.bukkit.entity.EntityType getEntityType()

Returns:
  EntityType linked to the name

#### getLocalizedName

    public String getLocalizedName()

Returns:
  Name linked to the EntityType